<!DOCTYPE html>
<html lang="en">
<head>
	<!-- Main navbar -->
		<?php $this->load->view('admin/common_header'); ?>
	<!-- /main navbar -->

	<!-- select box theme JS files -->
	<script type="text/javascript" src="<?php echo base_url();?>assets/js/plugins/forms/selects/bootstrap_select.min.js"></script>

	<!-- Theme JS files -->
	<script type="text/javascript" src="https://cdn.datatables.net/1.10.15/js/jquery.dataTables.min.js"></script>
	<!--<script type="text/javascript" src="<?php echo base_url();?>assets/js/plugins/tables/datatables/datatables.min.js"></script>-->
	<script type="text/javascript" src="<?php echo base_url();?>assets/js/plugins/tables/datatables/extensions/responsive.min.js"></script>
	<script type="text/javascript" src="<?php echo base_url();?>assets/js/plugins/forms/selects/select2.min.js"></script>

	<script type="text/javascript" src="<?php echo base_url();?>assets/js/core/app.js"></script>
	<!--<script type="text/javascript" src="<?php echo base_url();?>assets/js/pages/datatables_responsive.js"></script>-->
	<!-- /theme JS files -->

	<!-- notify JS files -->
    <script type="text/javascript" src="<?php echo base_url();?>assets/js/plugins/notifications/jgrowl.min.js"></script>

    <!-- Theme JS files -->
	<script type="text/javascript" src="<?php echo base_url();?>assets/js/plugins/notifications/bootbox.min.js"></script>
	<script type="text/javascript" src="<?php echo base_url();?>assets/js/plugins/notifications/sweet_alert.min.js"></script>
    
    <style type="text/css">
	    .icons-list a[data-action="reload1"]:after {
		  content: '\e9fb';
		}
		.btns {
			padding: 5px;
		}
	</style>
</head>

<body class="navbar-top-md-md pace-done">

	<!-- Fixed navbars wrapper -->
	<div class="navbar-fixed-top">

		<!-- Main navbar -->
		<?php $this->load->view('admin/mainnav'); ?>
		<!-- /main navbar -->


		<!-- Second navbar -->
		<?php $this->load->view('admin/secondnav'); ?>
		<!-- /second navbar -->

	</div>
	<!-- /fixed navbars wrapper -->


	<!-- Page header -->
	<?php $this->load->view('admin/'.$module_name.'_header'); ?>
	<!-- /page header -->


	<!-- Page container -->
	<div class="page-container">

		<!-- Page content -->
		<div class="page-content">

			<!-- Main content -->
			<div class="content-wrapper">
			
				<!-- Basic responsive configuration -->
				<div class="panel panel-flat">
					<div class="panel-heading">
						<h5 class="panel-title"><?php echo $page_title; ?></h5>
						<div class="heading-elements">
							<ul class="icons-list">
								<!-- <li><a href="<?php echo base_url();?>admin/users/add" class="glyphicon-plus"></a></li> -->
		                		<li><a data-action="collapse"></a></li>
		                		<li><a data-action="reload"></a></li>
		                		<li><a data-action="close"></a></li>
		                	</ul>
	                	</div>
					</div>
					<?php $currency_info = defaultcurrency();?>
					
						<table class="table datatable-responsive-row-history table-hover">
							<colgroup>
								<col width="13%"/>
		  						<col width="12%"/>
		  						<col width="15%"/>
		  						<col width="23%"/>
		  						<col width="10%"/>
		  						<col width="13%"/>
		  						<col width="13%"/>
		  						<col width="13%"/>
		  						<col width="13%"/>
		  						<col width="13%"/>
		  						<col width="13%"/>
	  						</colgroup>
							<thead>
								<tr>
									<th class="">historyid</th>
									<th class="">uusersid</th>
									<th class="">amount</th>
									<th class="">type</th>
									<th class="">description</th>
									<th class="">date</th>
									<th class="">payment_id</th>
									<th class="">transactionid</th>
									<th class="">is_delete</th>
									<th class="">username</th>
								</tr>
							</thead>
							<tbody>
							
							</tbody>
						</table>
					
					<!-- </div> -->
				</div>
				<!-- /basic responsive configuration -->

			</div>
			<!-- /main content -->

		</div>
		<!-- /page content -->


		<!-- Footer -->
		<div class="footer text-muted">
			<?php echo site_footer();?>
		</div>
		<!-- /footer -->

	</div>
	<!-- /page container -->

	<script type="text/javascript">
		
	(function($) {

	    $(document).ready(function() {

	    	$('.datatable-responsive-row-history').DataTable({
	    		"processing": true,
		        "serverSide": true,
		        "ajax": "http://192.168.2.118/saravanan/zhyipsvn/source/admin/history/testdata",
		        "deferLoading": 57
    		});

	    	$.jGrowl.defaults.closer = false;

				<?php if($this->session->flashdata('error_message')) { ?>
					$.jGrowl("<?php echo $this->session->flashdata('error_message');?>", {
			            header: 'Error!',
			            theme: 'bg-danger'
			        });
	            <?php } ?>
	                    
	            <?php if($this->session->flashdata('success_message')) { ?>
	                $.jGrowl("<?php echo $this->session->flashdata('success_message');?>", {
			            header: '<?php echo $this->lang->line("success");?>',
			            theme: 'bg-success'
			        });
	            <?php } ?>

	            $('#icon-bck').on('click',function() {
					window.history.back();
				});

				$('.panel [data-action=reload1]').click(function (e) {
			        e.preventDefault();
			        var block = $(this).parent().parent().parent().parent().parent();
			        jQuery.ajax({
			            url:'<?php echo base_url();?>admin/finance/history',
			            beforeSend: function() {
				            $(block).block({ 
					            message: '<i class="icon-spinner2 spinner"></i>',
					            overlayCSS: {
					                backgroundColor: '#fff',
					                opacity: 0.8,
					                cursor: 'wait',
					                'box-shadow': '0 0 0 1px #ddd'
					            },
					            css: {
					                border: 0,
					                padding: 0,
					                backgroundColor: 'none'
					            }
					        });
					        $('.panel .panel-heading').find('.dataTables_wrapper').remove();
					        
					        $('#DataTables_Table_0_wrapper').remove();
				        },
				        complete: function() {
				            $(block).unblock();
				        },
			            success : function(resp)
			            {
			            	$('.panel .panel-heading').after(resp);
			            	location.reload();
			            }
			        });
			        
			    });
				/*
				$('.cancelbtn').click(function (e) {
					e.preventDefault();
					var id = this.value;
					swal({
			            title: "<?php echo $this->lang->line('confirm_cancel_deposit_text');?>",
			            showCancelButton: true,
			            closeOnConfirm: false,
			            confirmButtonColor: "#2196F3",
			            cancelButtonColor: true,
			            showLoaderOnConfirm: true
			        },
			        function(inputValue){
			            if (inputValue === false) {
			            	return false;
			            } else {
			            	window.location.href = "<?php echo base_url();?>admin/finance/Canceldeposit/"+id;
			            }
			        });
				})*/
			    
		});

	})(jQuery);

	function canceldeposit(id) {

		swal({
            title: "<?php echo $this->lang->line('confirm_cancel_deposit_text');?>",
            showCancelButton: true,
            closeOnConfirm: false,
            confirmButtonColor: "#2196F3",
            cancelButtonColor: true,
            showLoaderOnConfirm: true
        },
        function(inputValue){
            if (inputValue === false) {
            	return false;
            } else {
            	window.location.href = "<?php echo base_url();?>admin/finance/Canceldeposit/"+id;
            }
        });

	}

	/*
	function approvedeposit(id) {

		swal({
            title: "Do you want to approve deposit?",
            showCancelButton: true,
            closeOnConfirm: false,
            confirmButtonColor: "#2196F3",
            cancelButtonColor: true,
            showLoaderOnConfirm: true
        },
        function(inputValue){
            if (inputValue === false) {
            	return false;
            } else {
            	window.location.href = "<?php echo base_url();?>admin/finance/approverequest/"+id;
            }
        });

	}
	*/
    
	
	</script>

</body>
</html>
